Package com.ocient.jdbc.proto

# Interface PlanProtocol.ExecutionClustersOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.ExecutionClusters`, `PlanProtocol.ExecutionClusters.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.ExecutionClustersOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.ExecutionCluster` | `getExecutionClusters​(int index)` | the level at which this configuration applies
`int` | `getExecutionClustersCount()` | the level at which this configuration applies
`List<PlanProtocol.ExecutionCluster>` | `getExecutionClustersList()` | the level at which this configuration applies
`PlanProtocol.ExecutionClusterOrBuilder` | `getExecutionClustersOrBuilder​(int index)` | the level at which this configuration applies
`List<? extends PlanProtocol.ExecutionClusterOrBuilder>` | `getExecutionClustersOrBuilderList()` | the level at which this configuration applies

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getExecutionClustersList

List<PlanProtocol.ExecutionCluster> getExecutionClustersList()

    the level at which this configuration applies

`repeated .xg.db.sqlPlans.ExecutionCluster execution_clusters = 1;`

### getExecutionClusters

PlanProtocol.ExecutionCluster getExecutionClusters​(int index)

    the level at which this configuration applies

`repeated .xg.db.sqlPlans.ExecutionCluster execution_clusters = 1;`

### getExecutionClustersCount

int getExecutionClustersCount()

    the level at which this configuration applies

`repeated .xg.db.sqlPlans.ExecutionCluster execution_clusters = 1;`

### getExecutionClustersOrBuilderList

List<? extends PlanProtocol.ExecutionClusterOrBuilder> getExecutionClustersOrBuilderList()

    the level at which this configuration applies

`repeated .xg.db.sqlPlans.ExecutionCluster execution_clusters = 1;`

### getExecutionClustersOrBuilder

PlanProtocol.ExecutionClusterOrBuilder getExecutionClustersOrBuilder​(int index)

    the level at which this configuration applies

`repeated .xg.db.sqlPlans.ExecutionCluster execution_clusters = 1;`